<?php

//Mock::generate('Wact_Php_Writer', 'MockCodeWriter');

class Wact_Template_Compiler_Node_TextTestCase extends Wact_Test_Case {

    function setUp() {
        $this->node = new Wact_Template_Compiler_Node_Text(NULL, NULL,
          new Wact_Template_Compiler_Location('file', 123),
          'test');
    }

    function tearDown() {
        unset ( $this->node );
        parent::tearDown();
    }

/*
    function testGenerate() {
        // BAD TEST: see bug #896626
        $code = new MockCodeWriter($this);
        $code->expectOnce('writeHTML', array('test'));
        $this->node->generate($code);
    }
*/

}

?>
